sc::EulerMaclaurinRadialIntegrator(3)

NAME
sc::EulerMaclaurinRadialIntegrator - An implementation of a radial integrator using the Euler-Maclaurin weights and grid points.

SYNOPSIS

#include <integrator.h>

Inherits sc::RadialIntegrator.

  Public Methods
EulerMaclaurinRadialIntegrator ()
EulerMaclaurinRadialIntegrator (int i)
EulerMaclaurinRadialIntegrator (const Ref< KeyVal > &)
EulerMaclaurinRadialIntegrator (StateIn &)
~EulerMaclaurinRadialIntegrator ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int nr () const
double radial_value (int ir, int nr, double radii, double &multiplier)
void print (std::ostream &=ExEnv::out0()) const
Print the object.

DETAILED DESCRIPTION

An implementation of a radial integrator using the Euler-Maclaurin weights and grid points.

MEMBER FUNCTION DOCUMENTATION

  void sc::EulerMaclaurinRadialIntegrator::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::RadialIntegrator.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.